package com.yijia.integral.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户积分记录对象 customer_points_record
 * 
 * @author yijia
 * @date 2021-03-17
 */
public class CustomerPointsRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long id;

    /** 微信用户唯一标识 */
    @Excel(name = "微信用户唯一标识")
    private String unionId;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerName;

    /** 积分记录类型：-，消耗； +，增加； */
    @Excel(name = "积分记录类型：-，消耗； +，增加；")
    private String recordType;

    /** 消耗或增加积分 */
    @Excel(name = "消耗或增加积分")
    private Long integral;

    /** 油站ID */
    @Excel(name = "油站ID")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUnionId(String unionId) 
    {
        this.unionId = unionId;
    }

    public String getUnionId() 
    {
        return unionId;
    }
    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }
    public void setRecordType(String recordType) 
    {
        this.recordType = recordType;
    }

    public String getRecordType() 
    {
        return recordType;
    }
    public void setIntegral(Long integral) 
    {
        this.integral = integral;
    }

    public Long getIntegral() 
    {
        return integral;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("unionId", getUnionId())
            .append("customerName", getCustomerName())
            .append("recordType", getRecordType())
            .append("integral", getIntegral())
            .append("createTime", getCreateTime())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .toString();
    }
}
